<?php
/**
* @version 0.1 $
* @package Flex Header
* @copyright (C) 2007 Andre Hotzler
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/
 
/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
$flex_debug = $params->get('debug');
$flex_id = intval( mosGetParam( $_REQUEST, 'id', null ) );
$flex_itemid = intval( mosGetParam( $_REQUEST, 'Itemid', null ) ); 
$flex_image_folder = $params->get('folder');
$flex_image_prefix = $params->get('image-prefix');
$flex_image_filetype = $params->get('filetype');
$flex_template_folder =  $GLOBALS['mosConfig_absolute_path'].'/templates/'.$mainframe->getTemplate().'/';
$flex_web_template_folder = './templates/'.$mainframe->getTemplate().'/';
$flex_height = $params->get('height');
$flex_width = $params->get('width');
$flex_alt = $params->get('alt');
$flex_type = $params->get('type');
$flex_default_image = $params->get('default-image');

if ($flex_debug) {
		echo '<div style="width:'.$flex_width.'px; height:'.$flex_height.'px; overflow:visible; background-color: red; color: white; display: block;"> Name of your header-image for content:<br />';
		echo (flex_cur_header_image($flex_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype));
		echo '<br />For element above:<br />';
		echo (flex_cur_sub_header_image($flex_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype));
		echo '</div>';
		 }
		 else
		 {	
		 		
		 		 	if (file_exists(flex_cur_header_image($flex_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype))) {
		 		 		echo '<img class="flex_header_img" style="width:'.$flex_width.'px; height:'.$flex_height.'px;" src="';
		 				echo (flex_web_header_image($flex_web_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype, $flex_default_image));
		 				echo '" alt="'.$flex_alt.'" />';
		 				}
			 		elseif (file_exists(flex_web_nosub_header_image($flex_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype, $flex_default_image))) {
		 		 		echo '<img class="flex_header_img" style="width:'.$flex_width.'px; height:'.$flex_height.'px;" src="';
		 				echo (flex_web_nosub_header_image($flex_web_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype, $flex_default_image));
		 				echo '" alt="'.$flex_alt.'" />';
		 				}	 				
		 				
		 			else {
		 					if (file_exists(flex_default_header_image($flex_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype,$flex_default_image))) {
		 						echo '<img class="flex_header_img" style="width:'.$flex_width.'px; height:'.$flex_height.'px;" src="';
		 						echo (flex_default_header_image($flex_web_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype, $flex_default_image));
		 						echo '" alt="'.$flex_alt.'" />';
		 					}
		 					else {
		 							echo '<div style="width:'.$flex_width.'px; height:'.$flex_height.'px; overflow:visible; background-color: red; color: white; display: block;">You need a default image!<br />';
		 							echo flex_default_header_image($flex_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype, $flex_default_image);
		 							echo '</div>';
		 					}
		 			}
		 		
		 	
		};

function flex_cur_header_image($flex_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype ) {
	
	if ($flex_id==0) {
		$flex_header_image = $flex_template_folder.$flex_image_folder.'/'.$flex_image_prefix.$flex_itemid.'.'.$flex_image_filetype; }
	else {
		$flex_header_image = $flex_template_folder.$flex_image_folder.'/'.$flex_image_prefix.$flex_itemid.'-'.$flex_id.'.'.$flex_image_filetype; };
	return $flex_header_image;
}

function flex_cur_sub_header_image($flex_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype ) {
	
		$flex_header_image = $flex_template_folder.$flex_image_folder.'/'.$flex_image_prefix.$flex_itemid.'.'.$flex_image_filetype;
	return $flex_header_image;
}


function flex_web_header_image($flex_web_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype, $flex_default_image) {
	
	if ($flex_id==0) {
		$flex_header_image = $flex_web_template_folder.$flex_image_folder.'/'.$flex_image_prefix.$flex_itemid.'.'.$flex_image_filetype; }
	else {
		$flex_header_image = $flex_web_template_folder.$flex_image_folder.'/'.$flex_image_prefix.$flex_itemid.'-'.$flex_id.'.'.$flex_image_filetype; };
		
		return $flex_header_image;
}

function flex_web_nosub_header_image($flex_web_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype, $flex_default_image) {
	
		$flex_header_image = $flex_web_template_folder.$flex_image_folder.'/'.$flex_image_prefix.$flex_itemid.'.'.$flex_image_filetype;
		return $flex_header_image;
}

function flex_default_header_image($flex_web_template_folder, $flex_image_folder, $flex_image_prefix, $flex_itemid, $flex_id, $flex_image_filetype, $flex_default_image) {
	
		$flex_header_image = $flex_web_template_folder.$flex_image_folder.'/'.$flex_default_image.'.'.$flex_image_filetype;
		
		return $flex_header_image;
}


?>